# Uses of Interface
org.eclipse.gef.EditPartViewer.Conditional

Packages that use EditPartViewer.Conditional
Package
Description
org.eclipse.gef
All interfaces, base types, and the plugin class are here.
org.eclipse.gef.tools
This package provides several tool implementations.
org.eclipse.gef.ui.parts

## Uses of EditPartViewer.Conditional in org.eclipse.gef

Classes in org.eclipse.gef that implement EditPartViewer.Conditional
Modifier and Type
Class
Description
`static class`
`AutoexposeHelper.Search`
Used with EditPartViewers to find the AutoexposeHelper at a Point.
Methods in org.eclipse.gef with parameters of type EditPartViewer.Conditional
Modifier and Type
Method
Description
`EditPart`
EditPartViewer.`findObjectAtExcluding(org.eclipse.draw2d.geometry.Point location, Collection<org.eclipse.draw2d.IFigure> exclusionSet, EditPartViewer.Conditional conditional)`
Returns `null` or the `EditPart` at the specified location, using the given exclusion set and conditional.

## Uses of EditPartViewer.Conditional in org.eclipse.gef.tools

Methods in org.eclipse.gef.tools that return EditPartViewer.Conditional
Modifier and Type
Method
Description
`protected EditPartViewer.Conditional`
SelectionTool.`getTargetingConditional()`
Returns a new Conditional that evaluates to `true` if the queried edit part's `EditPart.isSelectable()` method returns `true`.
`protected EditPartViewer.Conditional`
TargetingTool.`getTargetingConditional()`
Returns the conditional object used for obtaining the target editpart from the current viewer.

## Uses of EditPartViewer.Conditional in org.eclipse.gef.ui.parts

Methods in org.eclipse.gef.ui.parts with parameters of type EditPartViewer.Conditional
Modifier and Type
Method
Description
`EditPart`
GraphicalViewerImpl.`findObjectAtExcluding(org.eclipse.draw2d.geometry.Point pt, Collection<org.eclipse.draw2d.IFigure> exclude, EditPartViewer.Conditional condition)`
`EditPart`
TreeViewer.`findObjectAtExcluding(org.eclipse.draw2d.geometry.Point pt, Collection exclude, EditPartViewer.Conditional condition)`